From fa06754147850ba06659f21e57cd7a724ecf8c49 Mon Sep 17 00:00:00 2001
From: "Martin T. H. Sandsmark" <martin.sandsmark@kde.org>
Date: Sat, 23 May 2020 18:26:12 +0200
Subject: [PATCH] remove unnecessary dependency

---
 CMakeLists.txt                   | 13 +------------
 signalplotter/CMakeLists.txt     |  1 -
 signalplotter/ksignalplotter.cpp |  2 +-
 signalplotter/ksignalplotter_p.h |  2 ++
 4 files changed, 4 insertions(+), 14 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index b12ead7..063cb05 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -46,14 +46,6 @@ set_package_properties(Qt5WebChannel PROPERTIES
 
 find_package(KF5 REQUIRED COMPONENTS CoreAddons Config I18n JobWidgets WindowSystem Completion Auth WidgetsAddons IconThemes ConfigWidgets Service GlobalAccel KIO Package Declarative NewStuff)
 
-find_package(KF5 OPTIONAL_COMPONENTS Plasma)
-set_package_properties(KF5Plasma PROPERTIES
-                       URL "https://cgit.kde.org/plasma-framework.git/"
-                       DESCRIPTION "The library of the plasma project"
-                       TYPE OPTIONAL
-                       PURPOSE "Used by signalplotter to use Plasma themes"
-                      )
-
 find_package(ZLIB REQUIRED)
 set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                        URL "http://www.zlib.net"
@@ -113,10 +105,7 @@ add_subdirectory( processcore )
 add_subdirectory( processui )
 add_subdirectory( sensors )
 add_subdirectory( faces )
-
-if (KF5Plasma_FOUND)
-    add_subdirectory( signalplotter )
-endif()
+add_subdirectory( signalplotter )
 add_subdirectory( ksgrd )
 
 if(BUILD_TESTING)
diff --git a/signalplotter/CMakeLists.txt b/signalplotter/CMakeLists.txt
index fd11f01..231fcf7 100644
--- a/signalplotter/CMakeLists.txt
+++ b/signalplotter/CMakeLists.txt
@@ -16,7 +16,6 @@ target_link_libraries(ksignalplotter
         KF5::IconThemes
     PRIVATE
         KSysGuard::ProcessCore
-        KF5::Plasma
 )
 
 set_target_properties(ksignalplotter
diff --git a/signalplotter/ksignalplotter.cpp b/signalplotter/ksignalplotter.cpp
index 4e6c278..df7c705 100644
--- a/signalplotter/ksignalplotter.cpp
+++ b/signalplotter/ksignalplotter.cpp
@@ -42,7 +42,6 @@
 #ifdef GRAPHICS_SIGNAL_PLOTTER
 #include <QGraphicsSceneResizeEvent>
 #include <QStyleOptionGraphicsItem>
-#include <Plasma/Theme>
 #endif
 
 #include <klocalizedstring.h>
@@ -52,6 +51,7 @@
 
 #ifdef SVG_SUPPORT
 #include <Plasma/Svg>
+#include <Plasma/Theme>
 #endif
 
 
diff --git a/signalplotter/ksignalplotter_p.h b/signalplotter/ksignalplotter_p.h
index 81912f5..082f97c 100644
--- a/signalplotter/ksignalplotter_p.h
+++ b/signalplotter/ksignalplotter_p.h
@@ -24,7 +24,9 @@
 //#define USE_QIMAGE
 
 // SVG support causes it to crash at the moment :(
+// (when re-enabling this remember to also link against plasma-framework)
 //#define SVG_SUPPORT
+
 // Use a separate child widget to draw the graph in
 #ifndef KSYSGUARD_KSIGNALPLOTTER_P_H
 #define KSYSGUARD_KSIGNALPLOTTER_P_H
-- 
2.26.2

